{

    "AbilityName" : "Test_Endurance",

    "AbilityStacking":"Unique",



    "AbilityMixins" : 

    [

        {

            "$type": "MoleMole.EnduranceMixin", 

            "AutoRecoverRate": 60,

            "AutoRecoverCD": 1,

            "EnduranceEmptyRecoverCD": 3,

            "DestroyRecoverRate": 150,

            "DestroyRecoverCD": 2.5,

            "CanInterruptAutoRecover": true,

            "CanInterruptDestroyRecover": false,



            "OnEnduranceCreateActions": [

                {

                    "$type": "MoleMole.LogStringAction",

                    "LogStr": "Endurance Full"

                }

            ],



            "OnEnduranceDestroyActions": [

                {

                    "$type": "MoleMole.LogStringAction",

                    "LogStr": "Endurance Out"

                }

            ]

        }

    ],

}